<?php
/**
 * Template Name: One column, no sidebar
 *
 * A custom page template without sidebar.
 *
 * The "Template Name:" bit above allows this to be selectable
 * from a dropdown menu on the edit page screen.
 *
 * @package WordPress
 * @subpackage STTF
 * @since STTF 1.0
 */

get_header(); ?>

<div id="container" class="one-column">
    <div id="content" role="main">

	<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
    
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <h2 class="entry-title"><?php the_title(); ?></h2>
            
            <div class="entry-meta">
                <?php stylish_posted() . stylish_posted_in(); ?>
            </div><!-- .entry-meta -->
            
            <div class="entry-content">
                <?php the_content(); ?>
                <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'stylish' ), 'after' => '</div>' ) ); ?>
                <?php edit_post_link( __( 'Edit', 'stylish' ), '<span class="edit-link">', '</span>' ); ?>
            </div><!-- .entry-content -->
        </div><!-- #post-## -->
    
        <?php comments_template( '', true ); ?>
    
    <?php endwhile; ?>

    </div><!-- #content -->
</div><!-- #container -->

<?php get_footer(); ?>