<?php
/**
 * The Template for displaying all single posts.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

<?php get_sidebar(); ?>

<div id="container">
    <div id="content" role="main">

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <h1 class="entry-title"><?php the_title(); ?></h1>

            <div class="entry-meta">
                <?php stylish_posted() . stylish_posted_in(); ?>
            </div><!-- .entry-meta -->

            <div class="entry-content">
                <?php the_content(); ?>
                <?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'stylish' ), 'after' => '</div>' ) ); ?>
            </div><!-- .entry-content -->

            <div class="entry-utility">
                <?php edit_post_link( __( 'Edit', 'stylish' ), '<span class="edit-link">', '</span>' ); ?>
            </div><!-- .entry-utility -->
        </div><!-- #post-## -->

        <div id="nav-below" class="navigation">
            <div class="nav-previous"><?php previous_post_link( '%link', '%title' ); ?></div>
            <div class="nav-next"><?php next_post_link( '%link', '%title' ) ?></div>
        </div><!-- #nav-below -->

        <?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>

    </div><!-- #content -->
</div><!-- #container -->

<?php get_footer(); ?>
